Package net.sf.saxon

## Class BasicTransformerFactory

- java.lang.Object
- - javax.xml.transform.TransformerFactory
  - - javax.xml.transform.sax.SAXTransformerFactory
    - - net.sf.saxon.jaxp.SaxonTransformerFactory
      - - net.sf.saxon.TransformerFactoryImpl
        - - net.sf.saxon.BasicTransformerFactory

- All Implemented Interfaces:
    `Configuration.ApiProvider`

      public class BasicTransformerFactory
      extends TransformerFactoryImpl

  A TransformerFactory instance can be used to create Transformer and Template objects.

  This implementation of the JAXP TransformerFactory interface always creates a Saxon configuration with Saxon-HE capability, even if Saxon-PE or Saxon-EE are loaded from the classpath; no attempt is made to look for a license file. This is therefore the recommended factory to use if you want to be sure that an application will run successfully under Saxon-HE, and will fail if it attempts to use Saxon-PE or Saxon-EE facilities.

  The system property that determines which Factory implementation to create is named "javax.xml.transform.TransformerFactory". This property names a concrete subclass of the TransformerFactory abstract class. If the property is not defined, a platform default is be used.

  This implementation class implements the abstract methods on both the javax.xml.transform.TransformerFactory and javax.xml.transform.sax.SAXTransformerFactory classes.

  This class is the "public" implementation of the TransformerFactory interface for Saxon-HE. It is a trivial subclass of the internal class `SaxonTransformerFactory`, which is in a separate package along with the implementation classes to which it has protected access.

  Since:
    9.8.0.5: see bug 3410

- - ### Field Summary

    - ### Fields inherited from class javax.xml.transform.sax.SAXTransformerFactory

      `FEATURE, FEATURE_XMLFILTER`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BasicTransformerFactory()` |
    `BasicTransformerFactory​(Configuration config)` |

  - ### Method Summary

    - ### Methods inherited from class net.sf.saxon.jaxp.SaxonTransformerFactory

      `getAssociatedStylesheet, getAttribute, getConfiguration, getErrorListener, getFeature, getProcessor, getURIResolver, newTemplates, newTemplates, newTemplatesHandler, newTransformer, newTransformer, newTransformerHandler, newTransformerHandler, newTransformerHandler, newXMLFilter, newXMLFilter, setAttribute, setConfiguration, setErrorListener, setFeature, setURIResolver`

    - ### Methods inherited from class javax.xml.transform.TransformerFactory

      `newDefaultInstance, newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicTransformerFactory

          public BasicTransformerFactory()

    - #### BasicTransformerFactory

          public BasicTransformerFactory​(Configuration config)